/**
 * DevExtreme (esm/__internal/grids/tree_list/m_widget.js)
 * Version: 23.2.0 (build 23255-1813)
 * Build date: Tue Sep 12 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import TreeList from "./m_widget_base";
import "./m_state_storing";
import "./module_not_extended/column_chooser";
import "./m_master_detail";
import "./editing/m_editing";
import "./module_not_extended/editing_row_based";
import "./module_not_extended/editing_form_based";
import "./module_not_extended/editing_cell_based";
import "./m_validating";
import "./m_virtual_scrolling";
import "./module_not_extended/filter_row";
import "./module_not_extended/header_filter";
import "./module_not_extended/filter_sync";
import "./module_not_extended/filter_builder";
import "./module_not_extended/filter_panel";
import "./module_not_extended/pager";
import "./module_not_extended/columns_resizing_reordering";
import "./module_not_extended/column_fixing";
import "./module_not_extended/adaptivity";
import "./selection/m_selection";
import "./module_not_extended/search";
import "./m_keyboard_navigation";
import "./module_not_extended/virtual_columns";
import "./m_focus";
import "./module_not_extended/row_dragging";
export default TreeList;
