/**
 * DevExtreme (renovation/utils/dom.js)
 * Version: 23.2.0 (build 23255-1813)
 * Build date: Tue Sep 12 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
"use strict";
exports.querySelectorInSameDocument = querySelectorInSameDocument;

function querySelectorInSameDocument(el, selector) {
    var _el$getRootNode, _el$getRootNode2;
    var root = null !== (_el$getRootNode = null === (_el$getRootNode2 = el.getRootNode) || void 0 === _el$getRootNode2 ? void 0 : _el$getRootNode2.call(el)) && void 0 !== _el$getRootNode ? _el$getRootNode : document;
    return root.querySelector(selector)
}
